//
// Programmer:    Leland Stanford <leland@stanford.edu>
// Creation Date: 29 February 1998
// Last Modified: 29 February 1998
// Filename:      batonTemplate.cpp
// Syntax:        C++; Radio Baton Improv
//  
// Description: Fill in the following functions to create a batonImprov program.
//

#include "batonImprov.h" 


/*----------------- beginning of improvization algorithms ---------------*/

/*--------------------- maintenance algorithms --------------------------*/

void description(void) {
   cout << "Write the program description here" << endl;
} 

void initialization(void) { }

void finishup(void) { }


/*-------------------- main loop algorithms -----------------------------*/

void mainloopalgorithms(void) { }


/*-------------------- triggered algorithms -----------------------------*/

void stick1trig(void) { }

void stick2trig(void) { }

void b14plustrig(void) { }

void b15plustrig(void) { }

void b14minusuptrig(void) { }

void b14minusdowntrig(void) { }

void b15minusuptrig(void) { }

void b15minusdowntrig(void) { }

void keyboardchar(int key) { }


/*------------------ end improvization algorithms -----------------------*/


/*
 * some functions and variables provided in the batonImprov environment:
 *
 * synth.pc(channel, instrument); -------------- sets the timbre for a channel
 * synth.cont(channel, controller, value); ----- sends a continuous controller 
 * synth.play(channel, keynumber, keyvelocity);  plays a MIDI note
 * synth.send(channel, command, data1, data2); - send some midi command
 * long t_time; -------------------------------- current time in milliseconds
 * short pt1, pt2, pt3, pt4; ------------------- current pot (dial) positions
 * short xt1,yt1,zt1,xt2,yt2,zt2; -------------- current stick positions
 * short wh1, wh2; ----------------------------- whack strength of a trigger
 * short xw1, yw1, xw2, yw2; ------------------- x and y positions at trigger
 * short hit1, set1, hit2, set2; --------------- hit and set levels of sticks
 * short whack1,whack2; ------------------------ registers set by stick triggers
 * long  trigtime1, trigtime2; ----------------- times of stick triggers
 */


